OpenTTD Source: SetBitIterator< Tbitpos, Tbitset > Struct Template Reference

OpenTTD Source 15.0-RC2

Data Structures | Public Member Functions | Private Attributes
SetBitIterator< Tbitpos, Tbitset > Struct Template Reference

Iterable ensemble of each set bit in a value. More...

`#include <bitmath_func.hpp>`

## Data Structures
struct | Iterator

## Public Member Functions
| SetBitIterator (Tbitset bitset)
Iterator | begin ()
Iterator | end ()
bool | empty ()

## Private Attributes
Tbitset | bitset

## Detailed Description

template<typename Tbitpos = uint, typename Tbitset = uint>
struct SetBitIterator< Tbitpos, Tbitset >

Iterable ensemble of each set bit in a value.

Template Parameters

  Tbitpos | Type of the position variable.
  Tbitset | Type of the bitset value.

Definition at line 277 of file bitmath_func.hpp.

## Constructor & Destructor Documentation

## ◆ SetBitIterator()

template<typename Tbitpos = uint, typename Tbitset = uint>

SetBitIterator< Tbitpos, Tbitset >::SetBitIterator | ( | Tbitset | bitset | ) |
| inline

Definition at line 313 of file bitmath_func.hpp.

## Member Function Documentation

## ◆ begin()

template<typename Tbitpos = uint, typename Tbitset = uint>

Iterator SetBitIterator< Tbitpos, Tbitset >::begin | ( |  | ) |
| inline

Definition at line 314 of file bitmath_func.hpp.

## ◆ empty()

template<typename Tbitpos = uint, typename Tbitset = uint>

bool SetBitIterator< Tbitpos, Tbitset >::empty | ( |  | ) |
| inline

Definition at line 316 of file bitmath_func.hpp.

## ◆ end()

template<typename Tbitpos = uint, typename Tbitset = uint>

Iterator SetBitIterator< Tbitpos, Tbitset >::end | ( |  | ) |
| inline

Definition at line 315 of file bitmath_func.hpp.

## Field Documentation

## ◆ bitset

template<typename Tbitpos = uint, typename Tbitset = uint>

Tbitset SetBitIterator< Tbitpos, Tbitset >::bitset
| private

Definition at line 319 of file bitmath_func.hpp.

The documentation for this struct was generated from the following file:

- src/core/bitmath_func.hpp